# -*- encoding: utf-8 -*-
##############################################################################
#
#    Avanzosc - Avanced Open Source Consulting
#    Copyright (C) 2011 - 2012 Avanzosc <http://www.avanzosc.com>
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see http://www.gnu.org/licenses/.
#
##############################################################################

from osv import osv, fields
from tools.translate import _
    
    
class pos_order(osv.osv):
    _description = "Reasign prices on order lines in point of sale"
    _inherit = 'pos.order'
    
    
    def onchange_pricelist(self, cr, uid, ids, pricelist):
        pos_order_lines = self.pool.get('pos.order.line')
        for order in self.browse(cr, uid, ids):
            for line in order.lines:
                result = pos_order_lines.onchange_product_id( cr, uid, ids, pricelist, line.product_id.id, line.qty, order.partner_id.id)
                values_line = result['value']
                pos_order_lines.write(cr, uid, [line.id], values_line)
            
        return {}
    
    def onchange_partner_pricelist(self, cr, uid, ids, part, context={}):
        val = super(pos_order, self).onchange_partner_pricelist(cr, uid, ids, part)
        res = val['value']
        self.onchange_pricelist(cr, uid, ids, res['pricelist_id'])
        return val
            
          
pos_order()
    
